package com.mogo.realtime.socket;

import com.mogo.cloud.socket.entity.SocketDownData;

/**
 * 长连接数据上报下发回调
 */
public interface IMogoCloudOnMsgListener {

    /**
     * 长连接数据发送回调
     * @param id 发送消息id
     */
    void onMsgSend(long id);

    /**
     * 长连接数据接收回调
     * @param mogoSnapshotSetData 自车周边数据
     */
    void onMsgReceived(SocketDownData.LauncherSnapshotProto mogoSnapshotSetData);
}
